<?php
/**
* @id $Id$
* @author  Joomla Bamboo
* @package  prettyBox
* @copyright Copyright (C) 2006 - 2010 Joomla Bamboo. http://www.joomlabamboo.com  All rights reserved.
* @license  GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );?>
<?php
if(($loadCSS == 'body') && ($prettyPhoto)) {	// prettyPhoto Styles ?>
	<link rel="stylesheet" href="<?php echo $library ?>prettyPhoto/css/prettyPhoto.css" type="text/css" />
	<style type="text/css">
		.prettyBox div.prettydiv<?php echo $id ?> {
			width:<?php echo $img_width ?>px;
			height:<?php echo $height ?>px;
			float: left;
			margin-right:<?php echo $rightMargin ?>px;
		}	
	</style>
<?php }?>
<?php if(($loadJS == 'body') && ($prettyPhoto)) { // prettyPhoto Scripts?>
	<script type="text/javascript" src="<?php echo $library?>prettyPhoto/js/jquery.prettyPhoto.js"></script>
<?php }?>
<?php if($prettyPhoto) { // prettyPhoto Scripts?>
	<script type="text/javascript">
	jQuery(document).ready(function(){
		 jQuery('a[rel^=\'prettyOverlay\'],a[rel^=\'prettyPhoto<?php echo $id ?>\']').prettyPhoto({
			animation_speed: '<?php echo $prettyBoxSpeed ?>',
			show_title: <?php echo $prettyBoxTitle ?>,
			opacity:  <?php echo $opacity ?> ,
			allowresize: <?php echo $resize ?>,
			counter_separator_label: '/',
			overlay_gallery: <?php echo $overlayGallery ?>,
			theme:  '<?php echo $theme ?>'
		});
	});	  
	</script> 
<?php }?>
<!-- Start Joomla Bamboo Pretty Box -->
<?php if (count($items)>0){?>
<div class="prettyBox">
<?php foreach($items as $item){	
	echo $item;
}?>
</div>
<div class="clear"></div>
<?php }else{
	echo 'No Images Found!';
}?>
<!-- End Joomla Bamboo Pretty Box -->
