<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @version		v1.1
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * The Zen Grid Framework is a templating framework that uses the Joomla Content Manament System (http://www.joomla.org)
 * This file is called if the top layout override is enabled and is placed in the templates/[your template name]/layout folder. 
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
?>

<div class="outerWrapper topRow"> <!-- Top Wrapper -->
		<div class="container <?php echo $position ?>" style="width:<?php echo $tWidth ?>px;<?php echo $containerOffset?>">
				<div class="containerBG">
						<div class="innerContainer" style="width:<?php echo $contentWidth ?>px;margin-left:<?php echo $gutter ?>px">
								<div id="topWrapper">
								
								
								<?php if($this->countModules('top1')) : ?>
									<div id="top1" style="width:<?php echo $$top1Cols; ?>px;margin-right: <?php echo $gutter ?>px">
												<jdoc:include type="modules" name="top1" style="jbChrome" />
									</div>
									<?php endif; ?>
									
									<?php if($this->countModules('top2')) : ?>
									<div id="top2" style="width:<?php echo $$top2Cols; ?>px;margin-right: <?php echo $gutter ?>px">
												<jdoc:include type="modules" name="top2" style="jbChrome" />
									</div>
									<?php endif; ?>
									
									<?php if($this->countModules('top3')) : ?>
									<div id="top3" style="width:<?php echo $$top3Cols; ?>px;margin-right: <?php echo $gutter ?>px">
												<jdoc:include type="modules" name="top3" style="jbChrome" />
									</div>
									<?php endif; ?>
									
									<?php if($this->countModules('top4')) : ?>
									<div id="top4" style="width:<?php echo $$top4Cols; ?>px">
												<jdoc:include type="modules" name="top4" style="jbChrome" />
									</div>
								<?php endif; ?>
								
								<div id="topIcons">
									<ul>
									<!-- Social Icons -->
									<?php if ($icon1Image !="-1") {?>
									<li><a class="topicons icon1" href="<?php echo $icon1Link ?>">
										<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon1Image ?>"  title="<?php echo $icon1Image ?>" alt="<?php echo $icon1Image ?>"/>
									</a></li>																
									<?php } ?>

									<?php if ($icon2Image !="-1") {?>
									<li><a class="topicons icon2" href="<?php echo $icon2Link ?>">
											<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon2Image ?>" title="<?php echo $icon2Image ?>" alt="<?php echo $icon2Image ?>"/>
									</a></li>
									<?php } ?>									

									<?php if ($icon3Image !="-1") {?>
									<li><a class="topicons icon3" href="<?php echo $icon3Link ?>">
											<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon3Image ?>" title="<?php echo $icon3Image ?>"  alt="<?php echo $icon3Image ?>"/>
									</a></li>
									<?php } ?>

									<?php if ($icon4Image !="-1") {?>
									<li><a class="topicons icon4" href="<?php echo $icon4Link ?>">
											<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon4Image ?>" title="<?php echo $icon4Image ?>"  alt="<?php echo $icon4Image ?>"/>
									</a></li>
									<?php } ?>

									<?php if ($icon5Image !="-1") {?>
									<li><a class="topicons icon5" href="<?php echo $icon5Link ?>">
											<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon5Image ?>" title="<?php echo $icon5Image ?>"  alt="<?php echo $icon5Image ?>"/>
									</a></li>
									<?php } ?>

									<?php if ($icon6Image !="-1") {?>
									<li><a class="topicons icon6" href="<?php echo $icon6Link ?>">
											<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $icon6Image ?>" title="<?php echo $icon6Image ?>"  alt="<?php echo $icon6Image ?>"/>
									</a></li>
									<?php } ?>
									<?php if($this->countModules('panel1 or panel2 or panel3 or panel4')) : ?>
									<li>
									
<div id="overlay" class="<?php echo $panelColor ?>"></div>
					
										<!-- The tab on top -->	
										<div id="paneltab" class="tab">
												
													
													<a id="openPanel" rel="#panelInner" href="#">
															<img src="templates/<?php echo $this->template ?>/images/icons/<?php echo $panelImage ?>" title="<?php echo $icon3Image ?>"  alt="Open Panel"/>
												</a>
													
													
												
										</div>
										</li>
										<?php endif; ?>
										<!-- / top -->
									</ul>
								</div>

									
								</div> 
						</div>
				</div>
		</div>
</div> <!-- Top Wrapper -->