<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @version		v1.1
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * The Zen Grid Framework is a templating framework that uses the Joomla Content Manament System (http://www.joomla.org)
 * This file is called if the nav layout override is enabled and is placed in the templates/[your template name]/layout folder. 
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
?>
<?php if($this->countModules('panel1') or $this->countModules('panel2') or $this->countModules('panel3') or $this->countModules('panel4')) : ?>
				
										
										<!-- / top -->
									
									<div id="hiddenPanel" style="width:<?php echo $panelWidth; ?>px" class="overlay">
										<a id="closePanel" rel="#panelInner" href="#"><img src="templates/<?php echo $this->template ?>/images/panel/panelClose.png" class="closePanelImg" alt="Close Panel" /></a>
											<div id="hiddenPanelInner"  class="<?php echo $panelColor ?>" style="width:<?php echo $panelWidth - ($gutter * 3) ?>px">
												
													<?php if($this->countModules('panel1')) : ?>
														<div id="panel1" class="<?php echo $panelColor ?>">
															<jdoc:include type="modules" name="panel1"style="jbChrome"/>
														</div>
													<?php endif; ?> 
													<?php if($this->countModules('panel2')) : ?>
														<div id="panel2" class="<?php echo $panelColor ?>">
															<jdoc:include type="modules" name="panel2"style="jbChrome"/>
														</div>
													<?php endif; ?> 
													<?php if($this->countModules('panel3')) : ?>
														<div id="panel3" class="<?php echo $panelColor ?>">
															<jdoc:include type="modules" name="panel3"style="jbChrome"/>
														</div>
													<?php endif; ?> 
													<?php if($this->countModules('panel4')) : ?>
														<div id="panel4" class="<?php echo $panelColor ?>">
															<jdoc:include type="modules" name="panel4"style="jbChrome"/>
														</div>
													<?php endif; ?>
										</div>
									</div>
									<?php endif; ?> 